// Package define ...
//
// Description : define ...
//
// Author : go_developer@163.com<白茶清欢>
//
// Date : 2025-02-11 21:51
package define

const (
	TagJson        = "json"
	TagXml         = "xml"
	TagYaml        = "yaml"
	TagYml         = "yml"
	TagForm        = "form"
	TagBinding     = "binding"
	TagValidate    = "validate"
	TagErr         = "err"
	TagMsg         = "msg"
	TagDesc        = "desc"
	TagDescription = "description"
	TagD           = "d"
	TagDefault     = "default"
	TagDeprecated  = "deprecated"
)

const (
	TagNamePath              = "path"          // 接口的请求路径
	TagNameMethod            = "method"        // 接口的请求方法
	TagNameUriTag            = "tag"           // 接口的tag
	TagNameDesc              = "desc"          // 接口的描述
	TagNameOutputStrict      = "output_strict" // 接口数据是否为严格模式 : 严格模式, 响应数据必须是结构体/map，非严格模式返回任意值
	TagNameBinding           = "binding"       // gin 内置的验证规则tag
	TagNameValidate          = "validate"      // validator v10 默认的验证规则tag
	TagNameErrMsg            = "err"           // 验证失败错误信息tag
	TagNameContentType       = "content_type"
	TagNameOutputContentType = "output_content_type"
)
